
Ryzom - Bug # 1004

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 07/05/2010 Assignee: rti
Updated: 11/05/2010 Due date:
Subject: Depricated APIs used on 10.6
Description

Fix the usage of APIs depricated in Mac OS X 10.6

History
#1 - 08/04/2010 03:37 pm - rti

Building CXX object src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/driver_opengl_extension.cpp.o
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_extension.cpp: In function 'void* nglGetProcAddress(const char*)':
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_extension.cpp:43: warning: 'NSIsSymbolNameDefined' is deprecated
(declared at /usr/include/mach-o/dyld.h:176)
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_extension.cpp:43: warning: 'NSIsSymbolNameDefined' is deprecated
(declared at /usr/include/mach-o/dyld.h:176)
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_extension.cpp:43: warning: 'NSLookupAndBindSymbol' is deprecated
(declared at /usr/include/mach-o/dyld.h:179)
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_extension.cpp:43: warning: 'NSLookupAndBindSymbol' is deprecated
(declared at /usr/include/mach-o/dyld.h:179)
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_extension.cpp:45: warning: 'NSAddressOfSymbol' is deprecated (declared
at /usr/include/mach-o/dyld.h:188)
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_extension.cpp:45: warning: 'NSAddressOfSymbol' is deprecated (declared
at /usr/include/mach-o/dyld.h:188)

Building CXX object src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/driver_opengl_mac.cpp.o
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_mac.cpp: In function 'bool
NL3D::getMacModes(std::vector<NL3D::GfxMode, std::allocator<NL3D::GfxMode> >&)':
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_mac.cpp:49: warning: 'CGDisplayAvailableModes' is deprecated (declared
at /System/Library/Frameworks/ApplicationServices.framework/Frameworks/CoreGraphics.framework/Headers/CGDirectDisplay.h:481)
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/driver_opengl_mac.cpp:49: warning: 'CGDisplayAvailableModes' is deprecated (declared
at /System/Library/Frameworks/ApplicationServices.framework/Frameworks/CoreGraphics.framework/Headers/CGDirectDisplay.h:481)

#2 - 08/04/2010 08:28 pm - rti
- Assignee set to rti

#3 - 08/04/2010 09:29 pm - rti
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r595.

#4 - 11/05/2010 02:35 pm - rti
- Status changed from Resolved to Closed

08/23/2018 1/2



- Target version changed from Version 0.9.0 to Version 0.8.0
